Package org.bukkit.inventory.meta

# Enum Class BookMeta.Generation

java.lang.Object
java.lang.Enum<BookMeta.Generation>
org.bukkit.inventory.meta.BookMeta.Generation

All Implemented Interfaces:
  `Serializable`, `Comparable<BookMeta.Generation>`, `Constable`

Enclosing interface:
  BookMeta

public static enum BookMeta.Generation extends Enum<BookMeta.Generation>
Represents the generation (or level of copying) of a written book

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COPY_OF_COPY`
Book that was copied from a copy of an original.
`COPY_OF_ORIGINAL`
Book that was copied from an original.
`ORIGINAL`
Book written into a book-and-quill.
`TATTERED`
Unused; unobtainable by players.

## Method Summary

Modifier and Type
Method
Description
`static BookMeta.Generation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BookMeta.Generation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ORIGINAL

public static final BookMeta.Generation ORIGINAL
Book written into a book-and-quill. Can be copied. (Default value)

### COPY_OF_ORIGINAL

public static final BookMeta.Generation COPY_OF_ORIGINAL
Book that was copied from an original. Can be copied.

### COPY_OF_COPY

public static final BookMeta.Generation COPY_OF_COPY
Book that was copied from a copy of an original. Can't be copied.

### TATTERED

public static final BookMeta.Generation TATTERED
Unused; unobtainable by players. Can't be copied.

## Method Details

### values

public static BookMeta.Generation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BookMeta.Generation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null